## org.eclipse.datatools.modelbase.sql.query.impl
Class SQLQueryModelFactoryImpl

    java.lang.Object
      EFactoryImpl
          org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryModelFactoryImpl

All Implemented Interfaces:
  SQLQueryModelFactory

public class SQLQueryModelFactoryImpl
extends EFactoryImpl
implements SQLQueryModelFactory

An implementation of the model Factory.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryModelFactory
`eINSTANCE`

Constructor Summary
`SQLQueryModelFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` `convertToString(EDataType eDataType, java.lang.Object instanceValue)`
`EObject` `create(EClass eClass)`
`ColumnName` `createColumnName()`
`CursorReference` `createCursorReference()`
`java.lang.Object` `createFromString(EDataType eDataType, java.lang.String initialValue)`
`GroupingExpression` `createGroupingExpression()`
`GroupingSets` `createGroupingSets()`
`GroupingSetsElementExpression` `createGroupingSetsElementExpression()`
`GroupingSetsElementSublist` `createGroupingSetsElementSublist()`
`OrderByOrdinal` `createOrderByOrdinal()`
`OrderByResultColumn` `createOrderByResultColumn()`
`OrderByValueExpression` `createOrderByValueExpression()`
`PredicateBasic` `createPredicateBasic()`
`PredicateBetween` `createPredicateBetween()`
`PredicateExists` `createPredicateExists()`
`PredicateInValueList` `createPredicateInValueList()`
`PredicateInValueRowSelect` `createPredicateInValueRowSelect()`
`PredicateInValueSelect` `createPredicateInValueSelect()`
`PredicateIsNull` `createPredicateIsNull()`
`PredicateLike` `createPredicateLike()`
`PredicateQuantifiedRowSelect` `createPredicateQuantifiedRowSelect()`
`PredicateQuantifiedValueSelect` `createPredicateQuantifiedValueSelect()`
`QueryCombined` `createQueryCombined()`
`QueryDeleteStatement` `createQueryDeleteStatement()`
`QueryExpressionRoot` `createQueryExpressionRoot()`
`QueryInsertStatement` `createQueryInsertStatement()`
`QueryMergeStatement` `createQueryMergeStatement()`
`QuerySelect` `createQuerySelect()`
`QuerySelectStatement` `createQuerySelectStatement()`
`QueryUpdateStatement` `createQueryUpdateStatement()`
`QueryValues` `createQueryValues()`
`ResultColumn` `createResultColumn()`
`ResultTableAllColumns` `createResultTableAllColumns()`
`SearchConditionCombined` `createSearchConditionCombined()`
`SearchConditionNested` `createSearchConditionNested()`
`SuperGroup` `createSuperGroup()`
`SuperGroupElementExpression` `createSuperGroupElementExpression()`
`SuperGroupElementSublist` `createSuperGroupElementSublist()`
`TableCorrelation` `createTableCorrelation()`
`TableFunction` `createTableFunction()`
`TableInDatabase` `createTableInDatabase()`
`TableJoined` `createTableJoined()`
`TableNested` `createTableNested()`
`UpdateAssignmentExpression` `createUpdateAssignmentExpression()`
`UpdateSource` `createUpdateSource()`
`UpdateSourceExprList` `createUpdateSourceExprList()`
`UpdateSourceQuery` `createUpdateSourceQuery()`
`ValueExpressionCaseElse` `createValueExpressionCaseElse()`
`ValueExpressionCaseSearch` `createValueExpressionCaseSearch()`
`ValueExpressionCaseSearchContent` `createValueExpressionCaseSearchContent()`
`ValueExpressionCaseSimple` `createValueExpressionCaseSimple()`
`ValueExpressionCaseSimpleContent` `createValueExpressionCaseSimpleContent()`
`ValueExpressionCast` `createValueExpressionCast()`
`ValueExpressionColumn` `createValueExpressionColumn()`
`ValueExpressionCombined` `createValueExpressionCombined()`
`ValueExpressionDefaultValue` `createValueExpressionDefaultValue()`
`ValueExpressionFunction` `createValueExpressionFunction()`
`ValueExpressionLabeledDuration` `createValueExpressionLabeledDuration()`
`ValueExpressionNested` `createValueExpressionNested()`
`ValueExpressionNullValue` `createValueExpressionNullValue()`
`ValueExpressionScalarSelect` `createValueExpressionScalarSelect()`
`ValueExpressionSimple` `createValueExpressionSimple()`
`ValueExpressionVariable` `createValueExpressionVariable()`
`ValuesRow` `createValuesRow()`
`WithTableReference` `createWithTableReference()`
`WithTableSpecification` `createWithTableSpecification()`
`static SQLQueryModelPackage` `getPackage()` Deprecated.
`SQLQueryModelPackage` `getSQLQueryModelPackage()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLQueryModelFactoryImpl

    public SQLQueryModelFactoryImpl()

  Creates an instance of the factory.

Method Detail

### create

    public EObject create(EClass eClass)

### createFromString

    public java.lang.Object createFromString(EDataType eDataType,
                                             java.lang.String initialValue)

### convertToString

    public java.lang.String convertToString(EDataType eDataType,
                                            java.lang.Object instanceValue)

### createQueryDeleteStatement

    public QueryDeleteStatement createQueryDeleteStatement()

  Specified by:
    `createQueryDeleteStatement` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Query Delete Statement'.

### createQueryInsertStatement

    public QueryInsertStatement createQueryInsertStatement()

  Specified by:
    `createQueryInsertStatement` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Query Insert Statement'.

### createQuerySelectStatement

    public QuerySelectStatement createQuerySelectStatement()

  Specified by:
    `createQuerySelectStatement` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Query Select Statement'.

### createQueryUpdateStatement

    public QueryUpdateStatement createQueryUpdateStatement()

  Specified by:
    `createQueryUpdateStatement` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Query Update Statement'.

### createUpdateAssignmentExpression

    public UpdateAssignmentExpression createUpdateAssignmentExpression()

  Specified by:
    `createUpdateAssignmentExpression` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Update Assignment Expression'.

### createCursorReference

    public CursorReference createCursorReference()

  Specified by:
    `createCursorReference` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Cursor Reference'.

### createQueryExpressionRoot

    public QueryExpressionRoot createQueryExpressionRoot()

  Specified by:
    `createQueryExpressionRoot` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Query Expression Root'.

### createValuesRow

    public ValuesRow createValuesRow()

  Specified by:
    `createValuesRow` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Values Row'.

### createQueryValues

    public QueryValues createQueryValues()

  Specified by:
    `createQueryValues` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Query Values'.

### createTableJoined

    public TableJoined createTableJoined()

  Specified by:
    `createTableJoined` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Table Joined'.

### createWithTableSpecification

    public WithTableSpecification createWithTableSpecification()

  Specified by:
    `createWithTableSpecification` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'With Table Specification'.

### createSearchConditionCombined

    public SearchConditionCombined createSearchConditionCombined()

  Specified by:
    `createSearchConditionCombined` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Search Condition Combined'.

### createOrderByValueExpression

    public OrderByValueExpression createOrderByValueExpression()

  Specified by:
    `createOrderByValueExpression` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Order By Value Expression'.

### createQueryCombined

    public QueryCombined createQueryCombined()

  Specified by:
    `createQueryCombined` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Query Combined'.

### createQuerySelect

    public QuerySelect createQuerySelect()

  Specified by:
    `createQuerySelect` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Query Select'.

### createResultTableAllColumns

    public ResultTableAllColumns createResultTableAllColumns()

  Specified by:
    `createResultTableAllColumns` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Result Table All Columns'.

### createResultColumn

    public ResultColumn createResultColumn()

  Specified by:
    `createResultColumn` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Result Column'.

### createPredicateBasic

    public PredicateBasic createPredicateBasic()

  Specified by:
    `createPredicateBasic` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Predicate Basic'.

### createPredicateBetween

    public PredicateBetween createPredicateBetween()

  Specified by:
    `createPredicateBetween` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Predicate Between'.

### createPredicateExists

    public PredicateExists createPredicateExists()

  Specified by:
    `createPredicateExists` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Predicate Exists'.

### createPredicateLike

    public PredicateLike createPredicateLike()

  Specified by:
    `createPredicateLike` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Predicate Like'.

### createPredicateIsNull

    public PredicateIsNull createPredicateIsNull()

  Specified by:
    `createPredicateIsNull` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Predicate Is Null'.

### createPredicateQuantifiedValueSelect

    public PredicateQuantifiedValueSelect createPredicateQuantifiedValueSelect()

  Specified by:
    `createPredicateQuantifiedValueSelect` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Predicate Quantified Value Select'.

### createPredicateQuantifiedRowSelect

    public PredicateQuantifiedRowSelect createPredicateQuantifiedRowSelect()

  Specified by:
    `createPredicateQuantifiedRowSelect` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Predicate Quantified Row Select'.

### createPredicateInValueSelect

    public PredicateInValueSelect createPredicateInValueSelect()

  Specified by:
    `createPredicateInValueSelect` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Predicate In Value Select'.

### createPredicateInValueList

    public PredicateInValueList createPredicateInValueList()

  Specified by:
    `createPredicateInValueList` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Predicate In Value List'.

### createPredicateInValueRowSelect

    public PredicateInValueRowSelect createPredicateInValueRowSelect()

  Specified by:
    `createPredicateInValueRowSelect` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Predicate In Value Row Select'.

### createValueExpressionSimple

    public ValueExpressionSimple createValueExpressionSimple()

  Specified by:
    `createValueExpressionSimple` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Value Expression Simple'.

### createValueExpressionColumn

    public ValueExpressionColumn createValueExpressionColumn()

  Specified by:
    `createValueExpressionColumn` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Value Expression Column'.

### createValueExpressionVariable

    public ValueExpressionVariable createValueExpressionVariable()

  Specified by:
    `createValueExpressionVariable` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Value Expression Variable'.

### createValueExpressionScalarSelect

    public ValueExpressionScalarSelect createValueExpressionScalarSelect()

  Specified by:
    `createValueExpressionScalarSelect` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Value Expression Scalar Select'.

### createValueExpressionLabeledDuration

    public ValueExpressionLabeledDuration createValueExpressionLabeledDuration()

  Specified by:
    `createValueExpressionLabeledDuration` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Value Expression Labeled Duration'.

### createValueExpressionCast

    public ValueExpressionCast createValueExpressionCast()

  Specified by:
    `createValueExpressionCast` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Value Expression Cast'.

### createValueExpressionNullValue

    public ValueExpressionNullValue createValueExpressionNullValue()

  Specified by:
    `createValueExpressionNullValue` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Value Expression Null Value'.

### createValueExpressionDefaultValue

    public ValueExpressionDefaultValue createValueExpressionDefaultValue()

  Specified by:
    `createValueExpressionDefaultValue` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Value Expression Default Value'.

### createValueExpressionFunction

    public ValueExpressionFunction createValueExpressionFunction()

  Specified by:
    `createValueExpressionFunction` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Value Expression Function'.

### createValueExpressionCombined

    public ValueExpressionCombined createValueExpressionCombined()

  Specified by:
    `createValueExpressionCombined` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Value Expression Combined'.

### createGroupingSets

    public GroupingSets createGroupingSets()

  Specified by:
    `createGroupingSets` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Grouping Sets'.

### createGroupingSetsElementSublist

    public GroupingSetsElementSublist createGroupingSetsElementSublist()

  Specified by:
    `createGroupingSetsElementSublist` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Grouping Sets Element Sublist'.

### createGroupingSetsElementExpression

    public GroupingSetsElementExpression createGroupingSetsElementExpression()

  Specified by:
    `createGroupingSetsElementExpression` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Grouping Sets Element Expression'.

### createSuperGroup

    public SuperGroup createSuperGroup()

  Specified by:
    `createSuperGroup` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Super Group'.

### createGroupingExpression

    public GroupingExpression createGroupingExpression()

  Specified by:
    `createGroupingExpression` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Grouping Expression'.

### createSuperGroupElementSublist

    public SuperGroupElementSublist createSuperGroupElementSublist()

  Specified by:
    `createSuperGroupElementSublist` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Super Group Element Sublist'.

### createSuperGroupElementExpression

    public SuperGroupElementExpression createSuperGroupElementExpression()

  Specified by:
    `createSuperGroupElementExpression` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Super Group Element Expression'.

### createValueExpressionCaseSearch

    public ValueExpressionCaseSearch createValueExpressionCaseSearch()

  Specified by:
    `createValueExpressionCaseSearch` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Value Expression Case Search'.

### createValueExpressionCaseSimple

    public ValueExpressionCaseSimple createValueExpressionCaseSimple()

  Specified by:
    `createValueExpressionCaseSimple` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Value Expression Case Simple'.

### createValueExpressionCaseElse

    public ValueExpressionCaseElse createValueExpressionCaseElse()

  Specified by:
    `createValueExpressionCaseElse` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Value Expression Case Else'.

### createValueExpressionCaseSearchContent

    public ValueExpressionCaseSearchContent createValueExpressionCaseSearchContent()

  Specified by:
    `createValueExpressionCaseSearchContent` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Value Expression Case Search Content'.

### createValueExpressionCaseSimpleContent

    public ValueExpressionCaseSimpleContent createValueExpressionCaseSimpleContent()

  Specified by:
    `createValueExpressionCaseSimpleContent` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Value Expression Case Simple Content'.

### createTableInDatabase

    public TableInDatabase createTableInDatabase()

  Specified by:
    `createTableInDatabase` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Table In Database'.

### createTableFunction

    public TableFunction createTableFunction()

  Specified by:
    `createTableFunction` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Table Function'.

### createColumnName

    public ColumnName createColumnName()

  Specified by:
    `createColumnName` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Column Name'.

### createTableNested

    public TableNested createTableNested()

  Specified by:
    `createTableNested` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Table Nested'.

### createQueryMergeStatement

    public QueryMergeStatement createQueryMergeStatement()

  Specified by:
    `createQueryMergeStatement` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Query Merge Statement'.

### createSearchConditionNested

    public SearchConditionNested createSearchConditionNested()

  Specified by:
    `createSearchConditionNested` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Search Condition Nested'.

### createValueExpressionNested

    public ValueExpressionNested createValueExpressionNested()

  Specified by:
    `createValueExpressionNested` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Value Expression Nested'.

### createOrderByOrdinal

    public OrderByOrdinal createOrderByOrdinal()

  Specified by:
    `createOrderByOrdinal` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Order By Ordinal'.

### createTableCorrelation

    public TableCorrelation createTableCorrelation()

  Specified by:
    `createTableCorrelation` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Table Correlation'.

### createUpdateSource

    public UpdateSource createUpdateSource()

  Specified by:
    `createUpdateSource` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Update Source'.

### createUpdateSourceExprList

    public UpdateSourceExprList createUpdateSourceExprList()

  Specified by:
    `createUpdateSourceExprList` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Update Source Expr List'.

### createUpdateSourceQuery

    public UpdateSourceQuery createUpdateSourceQuery()

  Specified by:
    `createUpdateSourceQuery` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Update Source Query'.

### createOrderByResultColumn

    public OrderByResultColumn createOrderByResultColumn()

  Specified by:
    `createOrderByResultColumn` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'Order By Result Column'.

### createWithTableReference

    public WithTableReference createWithTableReference()

  Specified by:
    `createWithTableReference` in interface `SQLQueryModelFactory`
  Returns:
    a new object of class 'With Table Reference'.

### getSQLQueryModelPackage

    public SQLQueryModelPackage getSQLQueryModelPackage()

  Specified by:
    `getSQLQueryModelPackage` in interface `SQLQueryModelFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static SQLQueryModelPackage getPackage()

  Deprecated.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.